Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class EntityDeterminerDetermined

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.EntityDeterminerDetermined

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EntityDeterminerDetermined

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Entity Determiner Determined', and utility methods for working with them. specDomain: V10879 (C-0-D10878-V10879-cpt)

See Also:
  `CDAR2Package.getEntityDeterminerDetermined()`

Field Summary
`static int` | `KIND` The 'KIND' literal value.
`static EntityDeterminerDetermined` | `KIND_LITERAL` The 'KIND' literal object.
`static int` | `QUANTIFIEDKIND` The 'QUANTIFIEDKIND' literal value.
`static EntityDeterminerDetermined` | `QUANTIFIEDKIND_LITERAL` The 'QUANTIFIEDKIND' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Entity Determiner Determined' enumerators.

Method Summary
`static EntityDeterminerDetermined` | `get(int value)` Returns the 'Entity Determiner Determined' literal with the specified integer value.
`static EntityDeterminerDetermined` | `get(java.lang.String literal)` Returns the 'Entity Determiner Determined' literal with the specified literal value.
`static EntityDeterminerDetermined` | `getByName(java.lang.String name)` Returns the 'Entity Determiner Determined' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final int KIND

  The 'KIND' literal value.

  If the meaning of 'KIND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `KIND_LITERAL`, Constant Field Values

### QUANTIFIEDKIND

    public static final int QUANTIFIEDKIND

  The 'QUANTIFIEDKIND' literal value.

  If the meaning of 'QUANTIFIEDKIND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `QUANTIFIEDKIND_LITERAL`, Constant Field Values

### KIND_LITERAL

    public static final EntityDeterminerDetermined KIND_LITERAL

  The 'KIND' literal object.

  See Also:
    `KIND`

### QUANTIFIEDKIND_LITERAL

    public static final EntityDeterminerDetermined QUANTIFIEDKIND_LITERAL

  The 'QUANTIFIEDKIND' literal object.

  See Also:
    `QUANTIFIEDKIND`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Entity Determiner Determined' enumerators.

Method Detail

### get

    public static EntityDeterminerDetermined get(java.lang.String literal)

  Returns the 'Entity Determiner Determined' literal with the specified literal value.

### getByName

    public static EntityDeterminerDetermined getByName(java.lang.String name)

  Returns the 'Entity Determiner Determined' literal with the specified name.

### get

    public static EntityDeterminerDetermined get(int value)

  Returns the 'Entity Determiner Determined' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD